ISXEVE - Bug #2188

ExplosionRadius and ExplosionVelocity returns NULL for missiles
2021-12-22 01:03 AM - smokemonkey

Status: Feedback Required
Priority: Normal

Assignee: Amadeus
Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description
| tested with torpedo and failed to get these 2 attributes, but MaxFlightTime and MissileVelocity is retrieved correctly.

History

#1 - 2021-12-22 01:13 AM - Amadeus
- Category set to broken feature(s)
- Status changed from New to Feedback Required

- Assignee set to Amadeus

Give me an example loadout for a ship that has an missle/torpedo weapon with a that's the cheapest | can buy. | need to know the ship type/name,
the weapon type/name, the missle/torpedo type/name, ...EVERYTHING.

For all bug reports, | need to know how to re-create the bug from nothing. | do not play the game, so | only have the ships/modules/knowledge
required for the bug reports | get -- so, you need to give me ALL of the information | need for every bug report for re-creating the bug with an account
that has nothing in it.

#2 - 2021-12-22 05:13 AM - smokemonkey

| tested with ammo 'Scourge rage torpedo' in weapon 'Torpedo Launcher II', fitted to a Golem. You can try to retrieve the attributes in the title and you
will get NULL. | assume this should happen to all missile-like weapons, not necessarily to be T2 or battleship.

#3 - 2021-12-22 05:16 AM - smokemonkey

Script code related to this bug
https://github.com/SmokeMonkey/Tehbot/blob/e 1d65a60f598936957073fe776efe451ccf2caab/core/obj_Module.iss#L.1166

2024-04-09 1/1



https://github.com/SmokeMonkey/Tehbot/blob/e1d65a60f598936957073fe776efe451ccf2caa5/core/obj_Module.iss#L1166
http://www.tcpdf.org

